;/*
; * This include file is meant to be included with any C/C++ source you
; * write which uses the cwebpage DLL.
; */
IFNDEF __CWEBPAGE_H_INCLUDED
__CWEBPAGE_H_INCLUDED	equ	
IFDEF UNICODE
_UNICODE	equ	
ENDIF 
IFNDEF __ocidl_h__
;/* State values for the DISPID_READYSTATE property */ 
;it's in the translated sdk
;READYSTATE	UNION
	READYSTATE_UNINITIALIZED	EQU 0 
	READYSTATE_LOADING	EQU 1 
	READYSTATE_LOADED	EQU 2 
	READYSTATE_INTERACTIVE	EQU 3 
	READYSTATE_COMPLETE	EQU 4 
;READYSTATE		ENDS

ENDIF
;Include windows.SDK
;Include exdisp.SDK;/* Defines of stuff like IWebBrowser2. This is an include file with Visual C 6 and above */ 
;Include mshtml.SDK;/* Defines of stuff like IHTMLDocument2. This is an include file with Visual C 6 and above */ 
;Include mshtmhst.SDK;/* Defines of stuff like IDocHostUIHandler. This is an include file with Visual C 6 and above */ 

;defintion for dynamic link with the library
; dclarations

	PTStr2BStr TYPEDEF PROTO :DWORD ,:DWORD
	FTStr2BStr TYPEDEF PTR PTStr2BStr
	TStr2BStr TEXTEQU <FTStr2BStr ptr ADRTStr2BStr>

	PBStr2TStr TYPEDEF PROTO :DWORD ,:DWORD
	FBStr2TStr TYPEDEF PTR PBStr2TStr
	BStr2TStr TEXTEQU <FBStr2TStr ptr ADRBStr2TStr>

	PEmbedBrowserObject TYPEDEF PROTO :DWORD
	FEmbedBrowserObject TYPEDEF PTR PEmbedBrowserObject
	EmbedBrowserObject TEXTEQU <FEmbedBrowserObject ptr ADREmbedBrowserObject>

	PUnEmbedBrowserObject TYPEDEF PROTO :DWORD
	FUnEmbedBrowserObject TYPEDEF PTR PUnEmbedBrowserObject
	UnEmbedBrowserObject TEXTEQU <FUnEmbedBrowserObject ptr ADRUnEmbedBrowserObject>

	PDisplayHTMLPage TYPEDEF PROTO :DWORD ,:DWORD
	FDisplayHTMLPage TYPEDEF PTR PDisplayHTMLPage
	DisplayHTMLPage TEXTEQU <FDisplayHTMLPage ptr ADRDisplayHTMLPage>

	PDisplayHTMLStr TYPEDEF PROTO :DWORD ,:DWORD
	FDisplayHTMLStr TYPEDEF PTR PDisplayHTMLStr
	DisplayHTMLStr TEXTEQU <FDisplayHTMLStr ptr ADRDisplayHTMLStr>

	PGetWebElement TYPEDEF PROTO :DWORD ,:DWORD ,:DWORD ,:DWORD
	FGetWebElement TYPEDEF PTR PGetWebElement
	GetWebElement TEXTEQU <FGetWebElement ptr ADRGetWebElement>

	PGetWebSrcElement TYPEDEF PROTO :DWORD
	FGetWebSrcElement TYPEDEF PTR PGetWebSrcElement
	GetWebSrcElement TEXTEQU <FGetWebSrcElement ptr ADRGetWebSrcElement>

	PResizeBrowser TYPEDEF PROTO :DWORD ,:DWORD ,:DWORD
	FResizeBrowser TYPEDEF PTR PResizeBrowser
	ResizeBrowser TEXTEQU <FResizeBrowser ptr ADRResizeBrowser>

	PDoPageAction TYPEDEF PROTO :DWORD ,:DWORD
	FDoPageAction TYPEDEF PTR PDoPageAction
	DoPageAction TEXTEQU <FDoPageAction ptr ADRDoPageAction>

	PWaitOnReadyState TYPEDEF PROTO :DWORD ,:DWORD ,:DWORD ,:DWORD
	FWaitOnReadyState TYPEDEF PTR PWaitOnReadyState
	WaitOnReadyState TEXTEQU <FWaitOnReadyState ptr ADRWaitOnReadyState>


	PGetWebPtrs TYPEDEF PROTO :DWORD ,:DWORD ,:DWORD
	FGetWebPtrs TYPEDEF PTR PGetWebPtrs
	GetWebPtrs TEXTEQU <FGetWebPtrs ptr ADRGetWebPtrs>

	PSetWebReturnValue TYPEDEF PROTO :DWORD ,:DWORD
	FSetWebReturnValue TYPEDEF PTR PSetWebReturnValue
	SetWebReturnValue TEXTEQU <FSetWebReturnValue ptr ADRSetWebReturnValue>

	PFreeWebEvtHandler TYPEDEF PROTO :DWORD
	FFreeWebEvtHandler TYPEDEF PTR PFreeWebEvtHandler
	FreeWebEvtHandler TEXTEQU <FFreeWebEvtHandler ptr ADRFreeWebEvtHandler>

	PCreateWebEvtHandler TYPEDEF PROTO :DWORD ,:DWORD ,:DWORD ,:DWORD ,:DWORD ,:DWORD
	FCreateWebEvtHandler TYPEDEF PTR PCreateWebEvtHandler
	CreateWebEvtHandler TEXTEQU <FCreateWebEvtHandler ptr ADRCreateWebEvtHandler>


; Passed to an app's window procedure (as a WM_NOTIFY message) whenever an
; action has occurred on the web page (and the app has asked to be informed
; of that specific action)

WEBPARAMS	STRUCT
	nmhdr NMHDR <> 
	htmlEvent DWORD ?
	eventStr DWORD ?
WEBPARAMS		ENDS


; Our _IDispatchEx struct. This is just an IDispatch with some
; extra fields appended to it for our use in storing extra
; info we need for the purpose of reacting to events that happen
; to some element on a web page.

_IDispatchEx	STRUCT
	dispatchObj DWORD ? ; The mandatory IDispatch.
	refCount DWORD ? ; Our reference count.
	htmlWindow2 DWORD ? ; Where we store the IHTMLWindow2 so that our IDispatch's Invoke() can get it.
	hwnd DWORD ? ; The window hosting the browser page. Our IDispatch's Invoke() sends messages when an event of interest occurs.
	id WORD ? ; Any numeric value of your choosing that you wish to associate with this IDispatch.
	extraSize WORD ? ; Byte size of any extra fields prepended to this struct.
	object DWORD ? ; Some object associated with the web page element this IDispatch is for.
	userdata DWORD ? ; An extra pointer.
_IDispatchEx		ENDS


TSTR2BSTR	equ	< TStr2BStr>
TSTR2BSTRNAME	equ	<"TStr2BStr">
;API
BSTR2TSTR	equ	< BStr2TStr>
BSTR2TSTRNAME	equ	<"BStr2TStr">
;API
EMBEDBROWSEROBJECT	equ	< EmbedBrowserObject>
EMBEDBROWSEROBJECTNAME	equ	<"EmbedBrowserObject">
;API
UNEMBEDBROWSEROBJECT	equ	< UnEmbedBrowserObject>
UNEMBEDBROWSEROBJECTNAME	equ	<"UnEmbedBrowserObject">
DISPLAYHTMLPAGE	equ	< DisplayHTMLPage>
DISPLAYHTMLPAGENAME	equ	<"DisplayHTMLPage">
DISPLAYHTMLSTR	equ	< DisplayHTMLStr>
DISPLAYHTMLSTRNAME	equ	<"DisplayHTMLStr">
GETWEBELEMENT	equ	< GetWebElement>
GETWEBELEMENTNAME	equ	<"GetWebElement">
;API
GETWEBSRCELEMENT	equ	< GetWebSrcElement>
GETWEBSRCELEMENTNAME	equ	<"GetWebSrcElement">
;API
RESIZEBROWSER	equ	< ResizeBrowser>
RESIZEBROWSERNAME	equ	<"ResizeBrowser">
WEBPAGE_GOBACK	equ	< 0>
WEBPAGE_GOFORWARD	equ	< 1>
WEBPAGE_GOHOME	equ	< 2>
WEBPAGE_SEARCH	equ	< 3>
WEBPAGE_REFRESH	equ	< 4>
WEBPAGE_STOP	equ	< 5>
DOPAGEACTION	equ	< DoPageAction>
DOPAGEACTIONNAME	equ	<"DoPageAction">
WORS_SUCCESS	equ	< 0>
WORS_TIMEOUT	equ	< - 1>
WORS_DESTROYED	equ	< - 2>
WAITONREADYSTATE	equ	< WaitOnReadyState>
WAITONREADYSTATENAME	equ	<"WaitOnReadyState">
BSTR2TSTR	equ	< BStr2TStr>
BSTR2TSTRNAME	equ	<"BStr2TStr">
TSTR2BSTR	equ	< TStr2BStr>
TSTR2BSTRNAME	equ	<"TStr2BStr">
GETWEBPTRS	equ	< GetWebPtrs>
GETWEBPTRSNAME	equ	<"GetWebPtrs">
SETWEBRETURNVALUE	equ	< SetWebReturnValue>
SETWEBRETURNVALUENAME	equ	<"SetWebReturnValue">
FREEWEBEVTHANDLER	equ	< FreeWebEvtHandler>
FREEWEBEVTHANDLERNAME	equ	<"FreeWebEvtHandler">
CREATEWEBEVTHANDLER	equ	< CreateWebEvtHandler>
CREATEWEBEVTHANDLERNAME	equ	<"CreateWebEvtHandler">
ENDIF ;/* __CWEBPAGE_H_INCLUDED */ 


;+ IF > endif  Dcompte des if: 0

